Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Terminal Readers

4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/terminal-readers

List all Terminal Readers

Returns a list of an Account's Terminal Readers. The Terminal Readers are sorted with the most recently created appearing first.

Query parameters

  • metadataobjectoptional

    metadata key-value pairs to filter by. Only exact matches on the key-value pair(s) will be returned. Example: ?metadata[internal_customer_id]=7cb1159d-875e-47ae-a309-319fa7ff395b.

  • qstringoptional

    The partial search of text fields. Supports searching by terminal_reader.description, terminal_reader.serial_number, terminal_reader.type

  • include_connected_accountsbooleanoptional

    Whether or not to include the results from any connected accounts.

  • created_at_gtestring date-timeoptional

    Minimum created_at value to filter by (inclusive).

  • created_at_ltestring date-timeoptional

    Maximum created_at value to filter by (inclusive).

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of TerminalReaderrequired

GET/v1/terminal-readers/{id}

Get a Terminal Reader

Retrieves the details of an existing Terminal Reader.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200TerminalReader

  • account_idstringrequired

    The Account that owns this terminal reader.

  • created_atstring date-timerequired

    Time at which the object was created.

  • descriptionstringoptional

    The merchant provided description of the terminal reader

  • idstringrequired

    Unique identifier for the object.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • serial_numberstringoptional

    The serial number of the terminal reader.

  • settingsTerminalReaderSettingsoptional

  • typestring (vl_100 | vl_100_pro | vl_110 | vl_550 | vp_500 | vp_550 | vp_550e)required

    The type of the terminal reader.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

POST/v1/terminal-readers/{id}

Update a Terminal Reader

Updates the Terminal Reader by setting the values of the provided parameters. Any parameters not provided will be left unchanged.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • descriptionstringoptional

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e. '' or null) to them. All keys can be unset by posting an empty value (i.e. {} or null) to metadata.

  • serial_numberstringoptional

  • settingsTerminalReaderSettingsoptional

    • print_receiptbooleanrequired

      Whether or not to print a receipt.

    • tipping_enabledbooleanrequired

      Whether or not tipping is enabled on the device

Update a Terminal Reader to enable tipping

{
  "settings": {
    "tipping_enabled": true,
    "print_receipt": false
  }
}

Update a Terminal Reader to enable receipts

{
  "settings": {
    "tipping_enabled": false,
    "print_receipt": true
  }
}

Responses

200TerminalReader

  • account_idstringrequired

    The Account that owns this terminal reader.

  • created_atstring date-timerequired

    Time at which the object was created.

  • descriptionstringoptional

    The merchant provided description of the terminal reader

  • idstringrequired

    Unique identifier for the object.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • serial_numberstringoptional

    The serial number of the terminal reader.

  • settingsTerminalReaderSettingsoptional

  • typestring (vl_100 | vl_100_pro | vl_110 | vl_550 | vp_500 | vp_550 | vp_550e)required

    The type of the terminal reader.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

GET/v1/terminal-readers/{id}/status

Get a Terminal Reader statusDeprecated

Retrieves the network connection status of an existing Terminal Reader.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200TerminalReaderConnectionStatus

  • connection_statusstring (online | offline)required

    The connection status of the terminal reader.

  • idstringrequired

    Unique identifier for the object.